#!/mnt/HD_a2/fun_plug.d/bin/sh

# This is not a package manager, but only a script to conveniently
# install funplug add-on packages.
# 2007, tp@fonz.de

die() {
    echo "FATAL: $@"
    exit 1
}

usage() {
    echo "Usage: $0 package-files..."
    exit 0
}

[ $# -eq 0 ]           && usage
[ -n "${FUNPLUGDIR}" ] || die "\$FUNPLUGDIR not set"
[ -d "${FUNPLUGDIR}" ] || die "${FUNPLUGDIR}: Directory not found"
[ -n "${VOL1}" ]       || die "\$VOL1 not set"
[ -d "${VOL1}" ]       || die "${VOL1}: Directory not found"

D=${VOL1}/funpkg-$$.install

cleanup() {
    echo "Cleaning up"
    rm -rf ${D}
}
trap cleanup EXIT

while [ $# -gt 0 ]; do
    PF="$1"
    [ -r "${PF}" ]                  || die "${PF}: File not found or not readable"
    P=$(basename ${PF} .tgz)
    [ "${P}" != "$(basename $PF)" ] || die "${PF} does not end in .tgz"
    
    # unpack to a temporary directory
    rm -rf ${D}
    mkdir -p ${D} || die "${D}: Could not create directory"
    echo "Unpacking ${PF} ..."
    tar xzf ${PF} -C ${D}           || die "${PF}: Bad package file"
    
    # check package contents
    [ -d ${D}${FUNPLUGDIR} ]        || die "${PF} does not contain files for ${FUNPLUGDIR}"
    
    # finally, install files
    echo "Installing files to ${FUNPLUGDIR} ..."
    tar cf - -C ${D}${FUNPLUGDIR} . | tar xf - -C ${FUNPLUGDIR}

    # next
    shift 1
done
