#!/bin/sh

inetd_start() {
    if [ -x "${BINDIR}/inetd" ]; then
        echo "Starting inetd... "
        ${BINDIR}/inetd ${ETCDIR}/inetd.conf
    else
        echo "ERROR: inetd not found or not executable"
    fi
}

inetd_stop() {
    killall inetd
}

inetd_status() {
    if [ -n "$(pidof inetd)" ]; then
        echo "running"
    else
        echo "stopped"
    fi
}

case "$1" in
    stop)
        inetd_stop
        ;;
    restart)
        inetd_stop
        sleep 1
        inetd_start
        ;;
    status)
        inetd_status
        ;;
    start|'')
        inetd_start
        ;;
    *)
        echo "Usage: $0 start|stop|restart|status"
        ;;
esac



