#!/bin/sh

# see
# "Attaching USB Storage to the DNS-323 for Linux Newbies & Dummies"
# http://forum.dsmg600.info/viewtopic.php?pid=3221#p3221

options="-t auto"
#options="-t auto -o umask=0"
disk=sdc1
mountp=/mnt/HD_a2/$disk

mount_disk_start() {
    insmod ${BINDIR}/modules/$(uname -r)/usb-storage.ko 2>/dev/null
    #insmod ${BINDIR}/modules/$(uname -r)/ntfs.ko        2>/dev/null
    
    # wait for disk...
    let timeout=60
    while [ ${timeout} -gt 0 ]; do
        grep ${disk} /proc/partitions >/dev/null 2>/dev/null
        [ $? -eq 0 ] && break
        sleep 2
        let timeout=${timeout}-2
    done
    
    mkdir -p ${mountp}
    mount ${options} /dev/${disk} ${mountp} >${mountp}/mount-error.txt 2>&1
}

mount_disk_stop() {
    umount ${mountp}
}

mount_disk_status() {
    mount | grep ${mountp} 1>/dev/null 2>/dev/null
    if [ $? -eq 0 ]; then
        echo "running"
    else
        echo "stopped"
    fi
}

case "$1" in
    stop)
        mount_disk_stop
        ;;
    restart)
        mount_disk_stop
        sleep 10 # unplug'ging a disk takes time
        mount_disk_start
        ;;
    status)
        mount_disk_status
        ;;
    start|'')
        mount_disk_start
        ;;
    *)
        echo "Usage: $0 start|stop|restart|status"
        ;;
esac

