#!/bin/sh

rsyncd_start() {
    if [ -x "${BINDIR}/rsync" ]; then
        # need /usr/bin/rsync
        if [ ! -e /usr/bin/rsync ]; then
            ( cd /usr/bin; ln -s ${BINDIR}/rsync )
        fi
        
        echo "Starting rsyncd... "
        ${BINDIR}/rsync --daemon --config=${ETCDIR}/rsyncd.conf
    else
        echo "ERROR: rsyncd not found or not executable"
    fi
}

rsyncd_stop() {
    killall rsyncd
    killall portmap
}


rsyncd_status() {
    if [ -n "$(pidof rsync)" ]; then
        echo "running"
    else
        echo "stopped"
    fi
}

case "$1" in
    stop)
        rsyncd_stop
        ;;
    restart)
        rsyncd_stop
        sleep 1
        rsyncd_start
        ;;
    status)
        rsyncd_status
        ;;
    start|'')
        rsyncd_start
        ;;
    *)
        echo "Usage: $0 start|stop|restart|status"
        ;;
esac
