#!/bin/sh

# use "login" to make telnet ask for a password
LOPT="-l ${BINDIR}/sh"
#LOPT="-l ${BINDIR}/login"

telnetd_start() {
    if [ -x "${BINDIR}/telnetd" ]; then
        echo "Starting telnetd... "

        if [ ! -e "/dev/ptmx" ]; then
            mknod -m 0666 /dev/ptmx c 5 2 
        fi
        
        if [ ! -d "/dev/pts" ]; then
            mkdir -p /dev/pts
        fi
        
        mount | grep devpts 1>/dev/null 2>/dev/null
        if [ $? -ne 0 ]; then
            mount -t devpts devpts /dev/pts
        fi
        
        ${BINDIR}/telnetd ${LOPT}
    else
        echo "ERROR: telnetd not found or not executable"
    fi
}

telnetd_stop() {
    killall telnetd
}

telnetd_status() {
    if [ -n "$(pidof telnetd)" ]; then
        echo "running"
    else
        echo "stopped"
    fi
}

case "$1" in
    stop)
        telnetd_stop
        ;;
    restart)
        telnetd_stop
        sleep 1
        telnetd_start
        ;;
    status)
        telnetd_status
        ;;
    start|'')
        telnetd_start
        ;;
    *)
        echo "Usage: $0 start|stop|restart|status"
        ;;
esac



