#!/bin/sh

# Germany, CEST
timezone="CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00"
timeserv=de.pool.ntp.org

timezone_start() {
    echo "${timezone}" >/etc/TZ
    sntp -r ${timeserv}
    sleep 1
    /usr/sbin/rtc -w
}

timezone_stop() {
}

timezone_status() {
    cat /etc/TZ
}

case "$1" in
    stop)
        timezone_stop
        ;;
    restart)
        timezone_stop
        sleep 1
        timezone_start
        ;;
    status)
        timezone_status
        ;;
    start|'')
        timezone_start
        ;;
    *)
        echo "Usage: $0 start|stop|restart|status"
        ;;
esac

